Skip to content
Start here

Get ASPA count time series

GET/radar/bgp/rpki/aspa/timeseries

Retrieves ASPA (Autonomous System Provider Authorization) object count over time. Supports filtering by RIR or location (country code) to generate multiple named series. If no RIR or location filter is specified, returns total count.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
Query ParametersExpand Collapse
dateEnd: optional string

End of the date range (inclusive).

formatdate-time
dateStart: optional string

Start of the date range (inclusive).

formatdate-time
format: optional "JSON" or "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
location: optional array of string

Filters results by location. Specify a comma-separated list of alpha-2 location codes.

name: optional array of string

Array of names used to label the series in the response.

rir: optional array of "RIPE_NCC" or "ARIN" or "APNIC" or 2 more

Filter by Regional Internet Registry (RIR). Multiple RIRs generate multiple series.

One of the following:
"RIPE_NCC"
"ARIN"
"APNIC"
"LACNIC"
"AFRINIC"
ReturnsExpand Collapse
result: object { meta, serie_0 }
meta: object { dataTime, queryTime }
dataTime: string

Timestamp of the underlying data.

formatdate-time
queryTime: string

Timestamp when the query was executed.

formatdate-time
serie_0: object { timestamps, values }
timestamps: array of string
values: array of string
success: boolean

Get ASPA count time series

curl https://api.cloudflare.com/client/v4/radar/bgp/rpki/aspa/timeseries \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "meta": {
      "dataTime": "2019-12-27T18:11:19.117Z",
      "queryTime": "2019-12-27T18:11:19.117Z"
    },
    "serie_0": {
      "timestamps": [
        "2019-12-27T18:11:19.117Z"
      ],
      "values": [
        "10"
      ]
    }
  },
  "success": true
}
Returns Examples
{
  "result": {
    "meta": {
      "dataTime": "2019-12-27T18:11:19.117Z",
      "queryTime": "2019-12-27T18:11:19.117Z"
    },
    "serie_0": {
      "timestamps": [
        "2019-12-27T18:11:19.117Z"
      ],
      "values": [
        "10"
      ]
    }
  },
  "success": true
}